table! {
    images (id) {
        id -> Text,
        path -> Text,
        title -> Nullable<Text>,
        image_type -> Integer,
        last_changed -> Timestamp,
        published -> Bool,
    }
}

table! {
    tags (image_id, name) {
        image_id -> Text,
        tag_type -> Text,
        name -> Text,
    }
}

joinable!(tags -> images (image_id));

allow_tables_to_appear_in_same_query!(
    images,
    tags,
);
